Description

Supportanfrage

is it possible to play file that were recorded in adtf3 (*.adtfdat) within adtf2?

If yes, how?

Lösung

While it is possible to play ADTF 2.x Dat files in ADTF 3.x,

it is not possible to play the newer ADTF 3.x (adtfdat format) files in ADTF 2.x (dat format only)

Best regards

History

#1 - 2020-07-02 15:13 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::DAT

Hello,

while it is possible to play ADTF 2.x Dat files in ADTF 3.x,

it is not possible to play the newer ADTF 3.x (adtfdat format) files in ADTF 2.x (dat format only)

Best regards

#2 - 2020-07-02 15:13 - hidden

- Status changed from In Progress to Customer Feedback Required

#3 - 2020-07-02 15:20 - hidden

okay thanks for the answer.

Is there any plan to make a compatibility service or converter for this issue?

#4 - 2020-07-02 16:01 - hidden

- Project changed from 11 to Public Support

- Subject changed from Playing ADTF3 dat files in ADTF2 to Replay recordings from ADTF 3.x in ADTF 2.x

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Not Supported Scope

Hi Samer,
Is there any plan to make a compatibility service or converter for this issue?

 No, ADTF 2.x is running against EOL, it is recommended to migrate to ADTF 3.x.

ADTF 2.x does not get any new features, including supporting a newer (adtf)dat file version.

The only workaround can be replay the file in ADTF 3.x and using ADTF 3 Support Toolbox within ADTF 2.14.x.

But this will only work with basic types, for the rest you have to implement the types in ADTF 2.x.

I would call this wasting time to be fair.

And basically I don't see any use case in that, ADTF 2.x is dying next year and using an product out of maintance in business could not be a good

choice.

So please migrate and let us know if anything is missing to fulfill your use case.

#5 - 2020-07-03 08:42 - hidden

Hi Michael & Florian,

Thanks for answering! The use case is the exchange of recordings between projects/departments.

As not everyone is using the same adtf version. And the migration to adtf3 does not happen overnight. It needs time.

But anyway, I am not blocked through this issue.

The ticket can be closed.

Regards,

Samer

#6 - 2020-07-03 10:10 - hidden

- Platform Windows 10 64bit added

#9 - 2020-07-07 12:50 - hidden

- Status changed from To Be Closed to Closed
